<?php
define('THIS_SCRIPT', 'post_upload');
require 'global.php';
LoadStyleJs();

if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}

switch($GLOBALS['setSign']){
	case 'Emot'://图片显示开始
		global $imgurl,$lang,$GLOBALS,$board_settings,$groupsetting,$_DCACHE,$empath;

		if( $groupsetting[62] == 0 ){
			$AffordPost = $lang['template.strings30'];
		} else{
			$AffordPost = $groupsetting[62];
		}
			require_once CACHE_PATH.'forum_pic.php';
			$empath = $_DCACHE['forum_emot'][0];

			$lang = load_lang($lang, 'post' );
		if ((eregi("default_3", $imgurl)) or (eregi("default_1", $imgurl)) or (eregi("default", $imgurl)))
			$showtit='0';
		else
			$showtit='1';
		echo '<div id="dv_ShowEmot"></div>
		<SCRIPT LANGUAGE="JavaScript" src="./js/dvShowEmot.js"></SCRIPT>
		<SCRIPT LANGUAGE="JavaScript">
		dv_ShowEmot("12","0","'.$showtit.'","100%","155px","'.$lang['tpl.str.meot1'].'|||'.$lang['tpl.str.meot2'].'|||'.$lang['tpl.str.meot3'].'|||'.$lang['tpl.str.meot4'].'","'.$empath.'","'.str_replace('\n\t','',implode("|||", $_DCACHE['forum_emot'])).'");	
		</SCRIPT>
		';
	break;//图片显示结束
	case 'Emot'://附件显示开始
		global $imgurl,$lang,$GLOBALS,$board_settings,$groupsetting,$_DCACHE,$empath;


	break;//附件显示结束
}

?>